import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:wallpaperx/res/themes/app_colors.dart';

/// 深色主题
ThemeData lightTheme = ThemeData.light(useMaterial3: true).copyWith(
  textSelectionTheme:
      const TextSelectionThemeData(cursorColor: Color(0xff714EFA)),
  brightness: Brightness.dark,
  splashColor: Colors.transparent,
  highlightColor: Colors.transparent,
  colorScheme: ColorScheme.fromSeed(
    seedColor: seedColor,
    primary: Colors.white,
  ),
  scaffoldBackgroundColor: seedColor,
  bottomNavigationBarTheme: BottomNavigationBarThemeData(
    elevation: 0.0,
    // backgroundColor: const Color.fromRGBO(254, 247, 255, 1.0),
    // selectedFontSize字体默认14会让BottomNavigationBar高度增加，56->58，因此将大小改为10
    selectedLabelStyle: TextStyle(fontSize: 10.sp, fontWeight: FontWeight.w500),
    unselectedLabelStyle:
        TextStyle(fontSize: 10.sp, fontWeight: FontWeight.w500),
    // selectedItemColor: Colors.white,
    // unselectedItemColor: Colors.white.withOpacity(0.5),
  ),
  scrollbarTheme: ScrollbarThemeData(
    thumbVisibility: MaterialStateProperty.all(false),
    thumbColor: MaterialStateProperty.all(Colors.white),
    radius: Radius.circular(8.r),
  ),
);
